diff --git a/lib/index-strict.js b/lib/index-strict.js
index d7e8c3a2587..e73072ef9c8 100644
--- a/lib/index-strict.js
+++ b/lib/index-strict.js
@@ -30,11 +30,11 @@ Plotly.register([
     require('./streamtube'),
     require('./scattergeo'),
     require('./choropleth'),
-    require('./scattergl/strict'),
-    require('./splom/strict'),
+    require('../src/traces/scattergl/strict'),
+    require('../src/traces/splom/strict'),
     require('./pointcloud'),
     require('./heatmapgl'),
-    require('./parcoords/strict'),
+    require('../src/traces/parcoords/strict'),
     require('./parcats'),
     require('./scattermapbox'),
     require('./choroplethmapbox'),
@@ -48,7 +48,7 @@ Plotly.register([
     require('./ohlc'),
     require('./candlestick'),
     require('./scatterpolar'),
-    require('./scatterpolargl/strict'),
+    require('../src/traces/scatterpolargl/strict'),
     require('./barpolar'),
     require('./scattersmith'),
 
diff --git a/lib/parcoords-strict.js b/lib/parcoords-strict.js
deleted file mode 100644
index 6ad990a4239..00000000000
--- a/lib/parcoords-strict.js
+++ /dev/null
@@ -1,3 +0,0 @@
-'use strict';
-
-module.exports = require('../src/traces/parcoords-strict');
diff --git a/lib/scattergl-strict.js b/lib/scattergl-strict.js
deleted file mode 100644
index 014ab3fdb7a..00000000000
--- a/lib/scattergl-strict.js
+++ /dev/null
@@ -1,3 +0,0 @@
-'use strict';
-
-module.exports = require('../src/traces/scattergl-strict');
diff --git a/lib/scatterpolargl-strict.js b/lib/scatterpolargl-strict.js
deleted file mode 100644
index 5a9454d3010..00000000000
--- a/lib/scatterpolargl-strict.js
+++ /dev/null
@@ -1,3 +0,0 @@
-'use strict';
-
-module.exports = require('../src/traces/scatterpolargl-strict');
diff --git a/lib/splom-strict.js b/lib/splom-strict.js
deleted file mode 100644
index 81f3861d729..00000000000
--- a/lib/splom-strict.js
+++ /dev/null
@@ -1,3 +0,0 @@
-'use strict';
-
-module.exports = require('../src/traces/splom-strict');
